/* Copyright (C) Motorola 1990, 1991, 1992, 1995 */

#include <stdio.h>
#include <stddef.h>
#include <errno.h>

/* this function may be registered with atexit ( ) to flush all stdio
   buffers when the program terminates. */

int __already_registered_p;

void
__stdio_cleanup ( void )
{
    (void) fflush ( NULL );
}

void evmputc(int);

int
__write ( int descriptor, void *data, size_t nmemb )
{
    int retval = 0;
    unsigned char *ptr = (unsigned char *)data;

    while (nmemb > 0) {
        nmemb--;
        if (*ptr == '\n')
            evmputc('\r');
        evmputc(*ptr);
        ptr++;
        retval++;
    }
    return retval;
}

