;
; $Header: E:/HAM/EVM/TEST/RCS/FEEDTHRU.ASM 1.2 1996/12/20 08:49:37 dbraun Exp $
;
; $Log: FEEDTHRU.ASM $
; Revision 1.2  1996/12/20 08:49:37  dbraun
; Set R and R input gains to match actual autput levels
; of radios.   IC821 data port = +12dB, TS50 speaker qutput = +3dB
;
; Revision 1.1  1996/10/25 11:08:49  dbraun
; Initial revision
;
;

; This program simply echos a mix of the L+R channels
; to the right channel output.
; It is meant as a default program for the N1OWU setup.

	nolist
	include 'leonid'
	list

        ;Everything fits in internal RAM
        HIMEM X:$00FF,Y:$00FF,L:$00FF,P:$00FF

buflen	equ	4

	org	p:user_code

	move		    #buffer+2,r7
	move		    #buflen*4-1,m7

	move		    #buffer,r2
	move		    #4-1,n2
	move		    #buflen*4-1,m2

	ctrlcd	1,r2,buflen,MIC,12.0,3.0,LINEO|HEADP,0.0,0.0
	opencd	16,NOHPF

; wait for one complete block
loop	waitblk r2,buflen,1

	; read and mix the two channels
	move	x:(r2)+,a
	move	x:(r2),x0
	add	x0,a
	asr	a

	move		        (r2)+ 		; no output to left channel
	move		    a,y:(r2)+ 		; right channel out
	move			(r2)+

	jmp	<loop


	org	L:user_data

	; Note:  The buffer is small and fits entirely in internal
	; X/Y RAM, thus it does not clash with P memory.
buffer	dsm	buflen*4

	end
